Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1403968

Summary: Gnome Shell and SDL2 applications do not handle full-screen/windowed switches properly
Product: [Fedora] Fedora Reporter: sebby2k <shopper2k>
Component: gnome-shellAssignee: Owen Taylor <otaylor>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: fmuellner, jorti, otaylor
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 10:42:45 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1277927    

Description sebby2k 2016-12-12 18:26:17 UTC
Description of problem:

Games using SDL2 wayland backend do not resize properly when switching between windowed and full screen mode. Journalctl gnome-shell log shows the following entries:

Dec 12 13:15:06 skyline gnome-shell[6924]: value "nan" of type 'gdouble' is invalid or out of range for property 'scale-x' of type 'gdouble'
Dec 12 13:15:06 skyline gnome-shell[6924]: value "nan" of type 'gdouble' is invalid or out of range for property 'scale-y' of type 'gdouble'
Dec 12 13:15:06 skyline gnome-shell[6924]: value "-nan" of type 'gdouble' is invalid or out of range for property 'scale-x' of type 'gdouble'
Dec 12 13:15:06 skyline gnome-shell[6924]: value "-nan" of type 'gdouble' is invalid or out of range for property 'scale-y' of type 'gdouble'
Dec 12 13:15:43 skyline gnome-shell[6924]: value "nan" of type 'gdouble' is invalid or out of range for property 'scale-x' of type 'gdouble'
Dec 12 13:15:43 skyline gnome-shell[6924]: value "nan" of type 'gdouble' is invalid or out of range for property 'scale-y' of type 'gdouble'
Dec 12 13:15:43 skyline gnome-shell[6924]: value "-nan" of type 'gdouble' is invalid or out of range for property 'scale-x' of type 'gdouble'

This only happens when using SDL2 wayland backend. There are no issues when using SDL2 x11 backend.

Version-Release number of selected component (if applicable):

Fedora 25 with latest packages as of 12/10/2016.

Installed Packages
Name        : SDL2
Arch        : x86_64
Epoch       : 0
Version     : 2.0.5
Release     : 2.fc25

Name        : gnome-shell
Arch        : x86_64
Epoch       : 0
Version     : 3.22.2
Release     : 2.fc25

Name        : mutter
Arch        : x86_64
Epoch       : 0
Version     : 3.22.2
Release     : 3.fc25

How reproducible:

install SDL2 build of ioquake3

http://ioquake3.org/files/jenkins/latest/gcc/no_options/release-linux-x86_64.zip

Steps to Reproduce:

1. run SDL_VIDEODRIVER=wayland ./ioquake3.x86_64
2. select menu Setup/Settings/Graphics, change Fullscreen between on and off.
3. click Apply settings
4. repeat changing fullscreen setting few times.

Actual results:

Fullscreen mode takes up the whole screen, but game content is displayed in lower left quarter of the screen.

Expected results:

Fullscreen mode takes up the whole screen and game content is displayed across the whole screen.

Additional Info

This also happens with other SDL2 packages in F25 repo.

> sudo dnf install cdogs-sdl
> SDL_VIDEODRIVER=wayland cdogs-sdl

Comment 1 Fedora End Of Life 2017-11-16 18:55:01 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:42:45 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.